From c900ee654e74c0b15a72e94b791c9f6ebe09d59b Mon Sep 17 00:00:00 2001
From: Lijun Pan <Lijun.Pan@freescale.com>
Date: Wed, 24 Feb 2016 13:04:31 -0600
Subject: [PATCH] NXP Layerscape: initial support patch

This patch provides NXP (Freescale) Layerscape SoC support for
the following drivers:
QORIQ-CLOCK
POWER RESET
SATA
USB
I2C
eSDHC/eMMC

Signed-off-by: Lijun Pan <Lijun.Pan@freescale.com>
---
 SOURCES/NXP-Layerscape-support.patch | 7640 ++++++++++++++++++++++++++++++++++
 SOURCES/config-centos-sig            |   12 +
 SPECS/kernel-aarch64.spec            |    5 +
 3 files changed, 7657 insertions(+)
 create mode 100644 SOURCES/NXP-Layerscape-support.patch

diff --git a/SOURCES/config-centos-sig b/SOURCES/config-centos-sig
index 7837a37..8daf0fe 100644
--- a/SOURCES/config-centos-sig
+++ b/SOURCES/config-centos-sig
@@ -15,3 +15,15 @@ CONFIG_SCSI_MPT2SAS_LOGGING=y
 CONFIG_SCSI_MPT3SAS=m
 CONFIG_SCSI_MPT3SAS_MAX_SGE=128
 CONFIG_SCSI_MPT3SAS_LOGGING=y
+
+# NXP Specific Configurations
+# LAYERSCPAE
+CONFIG_ARCH_LAYERSCAPE=y
+# clock
+CONFIG_CLK_QORIQ=y
+# sata
+CONFIG_AHCI_QORIQ=m
+# i2c
+CONFIG_I2C_IMX=m
+# mmc esdhc
+CONFIG_MMC_SDHCI_OF_ESDHC=m
diff --git a/SPECS/kernel-aarch64.spec b/SPECS/kernel-aarch64.spec
index 046f4f7..f6c8bde 100644
--- a/SPECS/kernel-aarch64.spec
+++ b/SPECS/kernel-aarch64.spec
@@ -341,6 +341,9 @@ Patch1012: 0012-drivers-net-xgene-classifier-rss-support.patch
 # Security patches outside redhat
 Patch2000: KEYS-Fix-keyring-ref-leak-in-join_session_keyring.patch
 
+# NXP Patches
+Patch3001: NXP-Layerscape-support.patch
+
 # empty final patch to facilitate testing of kernel patches
 Patch999999: linux-kernel-test.patch
 
@@ -687,6 +690,8 @@ git am %{PATCH1012}
 
 git am %{PATCH2000}
 
+# Apply NXP patches
+git am %{PATCH3001}
 
 # Any further pre-build tree manipulations happen here.
 
-- 
1.7.9.5

